# bot.c File Reference

`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <string.h>`
`#include "net/mem.h"`
`#include "net/debug.h"`
`#include "net/def.h"`
`#include "net/api.h"`
`#include "net/stats.h"`

Go to the source code of this file.

## Functions

void | bot_init (void)
static void | bot_thread (void *arg)

## Function Documentation

void bot_init | ( | void |  | ) |

Definition at line 83 of file bot.c.

References bot_thread(), NULL, and sys_thread_new().

static void bot_thread | ( | void * | arg | ) | `[static]`

Definition at line 56 of file bot.c.

References IP4_ADDR, kprintf(), netbuf_copy(), netbuf_delete(), netbuf_len(), netconn_connect(), netconn_new(), netconn_recv(), NETCONN_TCP, and NULL.

Referenced by bot_init().